{ lib, config, ... }:
with lib;
let
  cfg = config.modules.application.zathura;
in
{
  options.modules.application.zathura = {
    enable = mkEnableOption "enable Zathura PDF viewer";
  };
  config = mkIf cfg.enable {
    programs.zathura = {
      enable = true;
      options = {
        selection-clipboard = "clipboard";
        font = "Fira Sans 12";
        recolor = true;
      };
    };
    xdg.mimeApps.defaultApplications = {
        "application/pdf" = "org.pwmt.zathura.desktop";
    };
  };
}
